PTHREAD_GETTHREADID_NP(3)

NAME
pthread_getthreadid_np - get the calling thread's integral ID

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
int
pthread_getthreadid_np(void);

DESCRIPTION
The pthread_getthreadid_np() function returns the unique integral ID of the calling thread. Its semantics is similar to the AIX's pthread_getthreadid_np() functuion.

RETURN VALUES
The pthread_getthreadid_np() function returns the thread integral ID of the calling thread.

ERRORS
None.

SEE ALSO
pthread_self(3)

AUTHORS
This manual page was written by Jung-uk Kim <jkim@FreeBSD.org>.